import glob
import os
import shutil

dataset_years = "/dataset/gsod_all_years/*"
dataset_output = "/dataset_rearranged"

# saving all stations in one file per year, instead of one file per station per year
year_folders = glob.glob(dataset_years)
year_folders.sort()
for folder in year_folders:
    year_parts = folder.split("_")
    year = year_parts[len(year_parts)-1]
    year_files = glob.glob(os.path.join(folder, "*"))
    year_out_file = os.path.join(dataset_output, year + ".op")

    print("writing file {}".format(year_out_file))
    
    if not os.path.exists(year_out_file):
        with open(year_out_file, "w") as of:
            for file in year_files:
                with open(file) as f:
                    content = f.readlines()[1:]
                    of.writelines(content)

    print("done writing file {}".format(year_out_file))
