from pyspark.sql import SparkSession
from delta import configure_spark_with_delta_pip
from delta.tables import DeltaTable
import os

delta_dir = "hdfs://namenode:9000/delta"
year_medians_dir = os.path.join(delta_dir, "year_medians")
lr_dir = os.path.join(delta_dir, "linear_regression")

builder = SparkSession.builder.appName("LinearRegression")\
    .config("spark.sql.extensions", "io.delta.sql.DeltaSparkSessionExtension")\
    .config("spark.sql.catalog.spark_catalog", "org.apache.spark.sql.delta.catalog.DeltaCatalog")
spark: SparkSession = configure_spark_with_delta_pip(builder).getOrCreate()

DeltaTable.forPath(spark, year_medians_dir).toDF().sort("year").show()
DeltaTable.forPath(spark, lr_dir).toDF().show()
